Skip to content
MothershipDevelopers

API referenceShipments

List shipments

Lists all shipments booked by your organization.

GET/shipments
Environment
https://sandbox.api.mothership.com/beta
curl --request GET \
  --url 'https://sandbox.api.mothership.com/beta/shipments' \
  --header "Authorization: Bearer $MOTHERSHIP_API_TOKEN" \
  --header 'Accept: application/json'
Reads your token from $MOTHERSHIP_API_TOKEN
Response
{
: {
: [
{
: "MS5016101",
: "2019-03-19T17:03:24.542Z",
: "https://dashboard.mothership.com/track/MS5016101",
: 79,
: "2019-03-19T17:15:55.000Z",
: "2019-03-20T05:00:55.000Z",
: "Unallocated",
: ,1 item
: ,11 keys
: 11 keys
}
],
: false,
: 20,
: 2
}
}

Hover a key to see what it means. Click it to jump to the field.

This endpoint returns an array of shipments stored in the response body's results property.

Pagination behavior can be controlled by providing page and perPage query parameters. If none are provided, page will default to 1, and perPage will default to 25. perPage cannot exceed 100.

The hasMore property in the response payload indicates if there are additional shipments that can be fetched by incrementing the page query parameter.

Authorization: Bearer <token>

Your sandbox API token. See Authentication.

  • perPagenumber

    Maximum number of shipments to return per page. Defaults to 25.

  • pagenumber

    Page to return, starting at 1. Defaults to 1.

    • dataobject
      • perPagenumberRequired

        Maximum number of shipments per page.

      • pagenumberRequired

        Current page of shipments

      • hasMorebooleanRequired

        True if a later page has more shipments.

      • resultsarray of objects

What's next